<template>
	<div class="cg-profile-over-view-wrap d-flex justify-content-center align-items-center">


          <div class="login-wrap col-md-3 text-center">
              <form   @submit.prevent="login" id="form">
                <input type="hidden" name="_token" :value="csrf">
                  <!-- <p v-if="this.success_message" class="text-success">{{ this.success_message }}</p> -->
                  <!-- <p v-if="this.error_message" class="text-danger">{{ this.error_message }}</p> -->
              <div class="login-text-block ">
                <h3 class="font1 cg-section-sml-heading w700">Login to Creativegoods</h3>
                <!-- <img src="images/logo.png" class="img-fluid" alt="creativegoods"> -->
              </div>



                  <div class="row d-flex add-btm-xsml d-flex justify-content-center">
              <div class="col-md-8 cg-top-input">
                <label for="email">Email ID</label>
                <input  type="text" id="email" name="email"/>
                  <p v-if="this.validation_errors.email" class="text-danger"> {{this.validation_errors.email[0] }}</p>
              </div>

            </div>


            <div class="row d-flex add-btm-xsml d-flex justify-content-center">
              <div class="col-md-8 cg-top-input">
                <label for="password">Password</label>
                <input type="password" id="password" name="password" />
                  <p v-if="this.validation_errors.password" class="text-danger"> {{this.validation_errors.password[0] }}</p>
              </div>

            </div>


            <!-- <router-link :to="{ name: 'register' }">Register</router-link> -->

            <div class="row d-flex justify-content-center">
              <input type="submit" value="Login Securely" name="submit" id="submit" />
            </div>



          </form>
            </div>

 <div role="alert" aria-live="assertive" aria-atomic="true" class="toast" style="position: absolute; bottom: 40px; right: 40px;" data-autohide="true" data-delay="2000">
  <div class="toast-header">
    <strong class="mr-auto">Login</strong>
    <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="toast-body">
    <p v-if="this.success_message" class="text-success">{{ this.success_message }}</p>
    <p v-if="this.error_message" class="text-danger">{{ this.error_message }}</p>
  </div>
</div>

        </div>

</template>
<script>
   export default {

    data() {
          return {
              validation_errors:{},
              success_message:'',
              error_message:'',
             csrf: document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
          }
        },
        methods: {
          loadJs(url, callback) {
            jQuery.ajax({
              url: url,
              dataType: 'script',
              success: callback,
              async: true
            });
          },
            login(){
                let currentObj = this;
                currentObj.success_message='';
                currentObj.error_message='';
                var form = $('#form')[0];
                var data = new FormData(form);
                //this.errors = {};
                $.ajax({
                    type: "POST",
                    enctype: 'multipart/form-data',
                    url: "/user/login",
                    data: data,
                    processData: false,
                    contentType: false,
                    cache: false,
                    timeout: 600000,
                    success: function (data) {
                        //
                        console.log(data)
                        // $('#element').toast('hide')
                        // $('.toast').on('hidden.bs.toast', function () {

                        // })

                         $('.toast').toast('show')
                        if(data.status == 'validation_error')
                        {
                            currentObj.validation_errors = data.errors


                        }
                        else if(data.status == 'success')
                        {
                            currentObj.success_message = data.message
                            // $('.toast').toast('show');
                            if(data.is_author)
                            {
                                location.href = "/user/"+data.unique_id+"/dashboard/my_products";
                            }
                            else
                            {
                                location.href = "/user/"+data.unique_id+"/dashboard/downloads";
                            }

                        }
                        else
                        {
                            currentObj.error_message = data.message

                        }
                    },
                    error: function(XMLHttpRequest, textStatus, errorThrown) {

                       this.errors = XMLHttpRequest['responseJSON'].errors || {};
                    console.log(this.errors)
                    }
                })
            },

        },
        mounted() {
          this.loadJs('/javascripts/custom/login.js', function() {
            //Stuff to do after someScript has loaded
          });
        }
    }
</script>

